#pragma once

#include <maps/libs/chrono/include/time_point.h>

#include <mapreduce/yt/interface/client.h>

#include <vector>

namespace maps::wiki::autocart::pipeline {

static const TString LATEST_YMAPSDF_PATH = "//home/maps/core/garden/stable/ymapsdf/latest";

class YMapsDFYTTable {
public:
    static chrono::TimePoint getDate(NYT::IClientBasePtr client);
    static std::vector<TString> getRoadsYTTablePaths(NYT::IClientBasePtr client);
    static std::vector<TString> getBuildingsYTTablePaths(NYT::IClientBasePtr client);
    static std::vector<TString> getFTYTTablePaths(NYT::IClientBasePtr client);
    static std::vector<TString> getFTGeomYTTablePaths(NYT::IClientBasePtr client);
};

} // namespace maps::wiki::autocart::pipeline
